Bug 1124349 - Parallel download: slow repo timeouting
Summary: Parallel download: slow repo timeouting
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: librepo
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mlcoch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 09:52 UTC by Jaroslav Škarvada
Modified: 2015-06-29 21:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:49:50 UTC


Attachments (Terms of Use)
Repo (238 bytes, text/plain)
2014-07-30 08:42 UTC, Jaroslav Škarvada
no flags Details

Description Jaroslav Škarvada 2014-07-29 09:52:23 UTC
Description of problem:
I have multiple "fast" repos (i.e. more than 3MB/s) and one "slow" repo (30kB/s or less). I have encountered periodic timeouts during parallel download (using "dnf upgrade" command). I had to re-run the command several times until all of the packages from the fast repos downloaded and then it continued at 30kB/s for the slow repo with no more timeouts. This wasn't the first time this happened to me, so I guess there may be bug in the "detector of stalled downloads".

Version-Release number of selected component (if applicable):
dnf-0.5.2-1

How reproducible:
Always

Steps to Reproduce:
1. Fast repos with multiple (or big) updates
2. Slow repo with at least one big update
3. dnf upgrade

Actual results:
Timeout for the slow repo with message that there are no more mirrors to try

Expected results:
No timeout

Additional info:
I think in cases there are multiple mirrors it can switch to another mirror, but in cases there are no more mirrors it should continue downloading even at the slow speed.

There was an older dnf on the machine where I encountered the problem and I will also retry with the latest dnf (as more updates accumulates to trigger the condition), but by quick scanning the changelog it doesn't seem there was anything related fixed. So that's why I am reporting it.

Comment 1 Ales Kozumplik 2014-07-29 13:17:57 UTC
Related to bug 1109189, CCing Tomas.

Jaroslav, please retry with librepo-1.7.4-3 or newer and let us know if it still appears. Also, obtaining access to the slow repo would really help.

Thanks!

Comment 2 Tomas Mlcoch 2014-07-29 14:59:41 UTC
I've just talked to Jaroslav and my first guess is that downloads from fast repositories consumes majority of bandwidth and thus the download from the slow repo falls under the 1000 bytes per second for 30sec and the connection is considered too slow and aborted.

I am going to look at it more closely.

Comment 3 Ales Kozumplik 2014-07-30 05:23:36 UTC
Thanks Tomas, please let us know if there is something to do on the DNF's side or feel free to move this to librepo.

Comment 4 Jaroslav Škarvada 2014-07-30 08:42:09 UTC
Created attachment 922461 [details]
Repo

I think, this is the slow repo causing the problem. I got hardly 30kB/s in avg. in rush hour from it.

Comment 5 Fedora End Of Life 2015-05-29 12:30:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 21:49:50 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.